﻿@using SonicHRM.DomainLogics
@inject AccountLogics AccountLogics 
@inject SalaryLogics SalaryLogics
@inject DesignationLogics DesignationLogics

@{
    ViewData["Title"] = "Dashboard";
}

<section class="content">
    <!-- Small boxes (Stat box) -->
    <div class="row">
        <div class="col-lg-4 col-xs-6">
            <!-- small box -->
            <div class="small-box bg-aqua">
                <div class="inner">
                    <h3>@AccountLogics.GetAllEmployees().Count</h3>
                    <p>Employees</p>
                </div>
                <div class="icon">
                    <i class="ion ion-bag"></i>
                </div>
                <a href="#" class="small-box-footer">More info <i class="fa fa-arrow-circle-right"></i></a>
            </div>
        </div><!-- ./col -->
        <div class="col-lg-4 col-xs-6">
            <!-- small box -->
            <div class="small-box bg-green">
                <div class="inner">
                    <h3>@SalaryLogics.GetAllSalaryInfo().Count</h3>
                    <p>Salary Info</p>
                </div>
                <div class="icon">
                    <i class="ion ion-stats-bars"></i>
                </div>
                <a href="#" class="small-box-footer">More info <i class="fa fa-arrow-circle-right"></i></a>
            </div>
        </div><!-- ./col -->
        <div class="col-lg-4 col-xs-6">
            <!-- small box -->
            <div class="small-box bg-yellow">
                <div class="inner">
                    <h3>@DesignationLogics.GetAllDesignations().Count</h3>
                    <p>Designations</p>
                </div>
                <div class="icon">
                    <i class="ion ion-person-add"></i>
                </div>
                <a href="#" class="small-box-footer">More info <i class="fa fa-arrow-circle-right"></i></a>
            </div>
        </div><!-- ./col -->
        
    </div><!-- /.row -->
    <!-- Main row -->
    

</section>

@section Scripts{
    <!-- AdminLTE dashboard demo (This is only for demo purposes) -->
    <script src="~/js/pages/dashboard.js" type="text/javascript"></script>
}